## libxslt 1.1.35

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)

project(libxslt1 VERSION 1.1.35 LANGUAGES C)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR})

include(CheckCSourceCompiles)
include(CheckFunctionExists)
include(CheckIncludeFiles)
include(CheckLibraryExists)
include(CheckSymbolExists)
include(CMakePackageConfigHelpers)
include(GNUInstallDirs)

find_package(LibXml2 CONFIG REQUIRED)

option(BUILD_SHARED_LIBS "Build shared libraries" ON)
option(LIBXSLT_WITH_DEBUGGER "Add the debugging support" ON)
option(LIBXSLT_WITH_CRYPTO "Add crypto support to exslt" OFF)
option(LIBXSLT_WITH_MEM_DEBUG "Add the memory debugging module" OFF)
option(LIBXSLT_WITH_MODULES "Add the module support" ON)
option(LIBXSLT_WITH_PROFILER "Add the profiling support" ON)
option(LIBXSLT_WITH_PYTHON "Build Python bindings" ON)
option(LIBXSLT_WITH_TESTS "Build tests" ON)
option(LIBXSLT_WITH_THREADS "Add multithread support" ON)
set(LIBXSLT_WITH_TRIO OFF)
option(LIBXSLT_WITH_XSLT_DEBUG "Add the debugging code" ON)

if(LIBXSLT_WITH_CRYPTO)
	find_package(Gcrypt REQUIRED)
endif()

if(LIBXSLT_WITH_PYTHON)
	check_include_files(unistd.h HAVE_UNISTD_H)
	check_symbol_exists(F_GETFL fcntl.h HAVE_F_GETFL)
	if(HAVE_UNISTD_H AND HAVE_F_GETFL)
		find_package(Python COMPONENTS Interpreter Development REQUIRED)
	else()
		find_package(Python2 COMPONENTS Interpreter Development REQUIRED)
		add_library(Python::Python ALIAS Python2::Python)
		set(Python_EXECUTABLE ${Python2_EXECUTABLE})
		set(Python_SITEARCH ${Python2_SITEARCH})
	endif()
	set(LIBXSLT_PYTHON_INSTALL_DIR ${Python_SITEARCH} CACHE PATH "Python bindings install directory")
endif()

if(LIBXSLT_WITH_THREADS)
	find_package(Threads REQUIRED)
endif()

foreach(VARIABLE IN ITEMS WITH_CRYPTO WITH_DEBUGGER WITH_MEM_DEBUG WITH_MODULES WITH_PROFILER WITH_PYTHON WITH_TRIO WITH_XSLT_DEBUG)
	if(LIBXSLT_${VARIABLE})
		set(${VARIABLE} 1)
	else()
		set(${VARIABLE} 0)
	endif()
endforeach()

set(LIBEXSLT_MAJOR_VERSION 0)
set(LIBEXSLT_MINOR_VERSION 8)
set(LIBEXSLT_MICRO_VERSION 20)

set(LIBEXSLT_DOTTED_VERSION ${LIBEXSLT_MAJOR_VERSION}.${LIBEXSLT_MINOR_VERSION}.${LIBEXSLT_MICRO_VERSION})
math(EXPR LIBEXSLT_VERSION_NUMBER "${LIBEXSLT_MAJOR_VERSION} * 10000 + ${LIBEXSLT_MINOR_VERSION} * 100 + ${LIBEXSLT_MICRO_VERSION}")
set(LIBEXSLT_VERSION_EXTRA "")

set(LIBXSLT_MAJOR_VERSION ${PROJECT_VERSION_MAJOR})
set(LIBXSLT_MINOR_VERSION ${PROJECT_VERSION_MINOR})
set(LIBXSLT_MICRO_VERSION ${PROJECT_VERSION_PATCH})

set(LIBXSLT_DOTTED_VERSION "${LIBXSLT_MAJOR_VERSION}.${LIBXSLT_MINOR_VERSION}.${LIBXSLT_MICRO_VERSION}")
math(EXPR LIBXSLT_VERSION_NUMBER "${LIBXSLT_MAJOR_VERSION} * 10000 + ${LIBXSLT_MINOR_VERSION} * 100 + ${LIBXSLT_MICRO_VERSION}")
set(LIBXSLT_VERSION_EXTRA "")

set(VERSION ${LIBXSLT_DOTTED_VERSION})
set(LIBEXSLT_VERSION ${LIBEXSLT_DOTTED_VERSION})

set(MODULE_EXTENSION "${CMAKE_SHARED_LIBRARY_SUFFIX}")

if(LIBXSLT_WITH_CRYPTO)
	list(APPEND CMAKE_REQUIRED_LIBRARIES Gcrypt::Gcrypt)
endif()

if(LIBXSLT_WITH_THREADS)
	list(APPEND CMAKE_REQUIRED_LIBRARIES Threads::Threads)
endif()

if(MSVC)
	configure_file(libxslt/win32config.h config.h COPYONLY)
	configure_file(libxslt/win32config.h win32config.h COPYONLY)
else()
	if(UNIX)
		set(CMAKE_REQUIRED_LIBRARIES m)
	endif()
	check_function_exists(clock_gettime HAVE_CLOCK_GETTIME)
	check_include_files(dlfcn.h HAVE_DLFCN_H)
	check_function_exists(fabs HAVE_FABS)
	check_include_files(float.h HAVE_FLOAT_H)
	check_function_exists(floor HAVE_FLOOR)
	check_function_exists(fprintf HAVE_FPRINTF)
	check_include_files(fp_class.h HAVE_FP_CLASS_H)
	check_function_exists(ftime HAVE_FTIME)
	check_library_exists(gcrypt gcry_control "gcrypt.h" HAVE_GCRYPT)
	check_function_exists(gettimeofday HAVE_GETTIMEOFDAY)
	check_function_exists(gmtime HAVE_GMTIME)
	check_function_exists(gmtime_r HAVE_GMTIME_R)
	check_include_files(ieeefp.h HAVE_IEEEFP_H)
	check_include_files(inttypes.h HAVE_INTTYPES_H)
	check_library_exists(pthread pthread_join "" HAVE_LIBPTHREAD)
	check_include_files(locale.h HAVE_LOCALE_H)
	check_function_exists(localtime HAVE_LOCALTIME)
	check_function_exists(localtime_r HAVE_LOCALTIME_R)
	check_include_files(math.h HAVE_MATH_H)
	check_include_files(memory.h HAVE_MEMORY_H)
	check_include_files(nan.h HAVE_NAN_H)
	check_function_exists(pow HAVE_POW)
	check_function_exists(printf HAVE_PRINTF)
	check_include_files(pthread.h HAVE_PTHREAD_H)
	check_function_exists(snprintf HAVE_SNPRINTF)
	check_function_exists(sprintf HAVE_SPRINTF)
	check_function_exists(sscanf HAVE_SSCANF)
	check_function_exists(stat HAVE_STAT)
	check_include_files(stdarg.h HAVE_STDARG_H)
	check_include_files(stdint.h HAVE_STDINT_H)
	check_include_files(stdlib.h HAVE_STDLIB_H)
	check_include_files(strings.h HAVE_STRINGS_H)
	check_include_files(string.h HAVE_STRING_H)
	check_function_exists(strxfrm_l HAVE_STRXFRM_L)
	check_include_files(sys/select.h HAVE_SYS_SELECT_H)
	check_include_files(sys/stat.h HAVE_SYS_STAT_H)
	check_include_files(sys/timeb.h HAVE_SYS_TIMEB_H)
	check_include_files(sys/time.h HAVE_SYS_TIME_H)
	check_include_files(sys/types.h HAVE_SYS_TYPES_H)
	check_function_exists(time HAVE_TIME)
	check_include_files(time.h HAVE_TIME_H)
	check_include_files(unistd.h HAVE_UNISTD_H)
	check_function_exists(vfprintf HAVE_VFPRINTF)
	check_function_exists(vsnprintf HAVE_VSNPRINTF)
	check_function_exists(vsprintf HAVE_VSPRINTF)
	check_include_files(xlocale.h HAVE_XLOCALE_H)
	check_function_exists(_stat HAVE__STAT)
	set(LT_OBJDIR ".libs/")
	set(PACKAGE "libxslt")
	set(PACKAGE_BUGREPORT "xml@gnome.org")
	set(PACKAGE_NAME "libxslt")
	set(PACKAGE_STRING "libxslt ${LIBXSLT_DOTTED_VERSION}")
	set(PACKAGE_TARNAME "libxslt")
	set(PACKAGE_URL "https://gitlab.gnome.org/GNOME/libxslt")
	set(PACKAGE_VERSION ${LIBXSLT_DOTTED_VERSION})
	check_include_files("float.h;stdarg.h;stdlib.h;string.h" STDC_HEADERS)
	set(_ALL_SOURCE ON)
	set(_GNU_SOURCE ON)
	set(_POSIX_PTHREAD_SEMANTICS ON)
	set(_TANDEM_SOURCE ON)
	check_c_source_compiles("
		#define __EXTENSIONS__ 1
		int main() { return 0; }
	" __EXTENSIONS__)
	check_include_files(minix/config.h HAVE_MINIX_CONFIG_H)
	if(HAVE_MINIX_CONFIG_H)
		set(_MINIX ON)
		set(_POSIX_1_SOURCE ON)
		set(_POSIX_SOURCE ON)
	endif()
	configure_file(config.h.cmake.in config.h)
endif()

configure_file(libexslt/exsltconfig.h.in libexslt/exsltconfig.h)
configure_file(libxslt/xsltconfig.h.in libxslt/xsltconfig.h)

set(
	LIBXSLT_HDRS
	libxslt/attributes.h
	libxslt/documents.h
	libxslt/extensions.h
	libxslt/extra.h
	libxslt/functions.h
	libxslt/imports.h
	libxslt/keys.h
	libxslt/namespaces.h
	libxslt/numbersInternals.h
	libxslt/pattern.h
	libxslt/preproc.h
	libxslt/security.h
	libxslt/templates.h
	libxslt/transform.h
	libxslt/variables.h
	libxslt/xslt.h
	${CMAKE_CURRENT_BINARY_DIR}/libxslt/xsltconfig.h
	libxslt/xsltexports.h
	libxslt/xsltInternals.h
	libxslt/xsltlocale.h
	libxslt/xsltutils.h
)

set(
	LIBXSLT_SRCS
	libxslt/attributes.c
	libxslt/attrvt.c
	libxslt/documents.c
	libxslt/extensions.c
	libxslt/extra.c
	libxslt/functions.c
	libxslt/imports.c
	libxslt/keys.c
	libxslt/namespaces.c
	libxslt/numbers.c
	libxslt/pattern.c
	libxslt/preproc.c
	libxslt/security.c
	libxslt/templates.c
	libxslt/transform.c
	libxslt/variables.c
	libxslt/xslt.c
	libxslt/xsltlocale.c
	libxslt/xsltutils.c
)

add_library(LibXslt ${LIBXSLT_HDRS} ${LIBXSLT_SRCS})
add_library(LibXslt::LibXslt ALIAS LibXslt)

target_include_directories(
	LibXslt
	PUBLIC
	$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
	$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
	$<INSTALL_INTERFACE:$<INSTALL_PREFIX>/${CMAKE_INSTALL_INCLUDEDIR}>
)

target_link_libraries(LibXslt PUBLIC LibXml2::LibXml2)

if(UNIX)
	target_link_libraries(LibXslt PRIVATE m)
	set(M_LIBS "-lm")
endif()

set_target_properties(
	LibXslt
	PROPERTIES
	IMPORT_PREFIX lib
	OUTPUT_NAME xslt
	POSITION_INDEPENDENT_CODE ON
	PREFIX lib
	VERSION ${PROJECT_VERSION}
)

if(MSVC)
	if(BUILD_SHARED_LIBS)
		set_target_properties(
			LibXslt
			PROPERTIES
			DEBUG_POSTFIX d
		)
	else()
		set_target_properties(
			LibXslt
			PROPERTIES
			DEBUG_POSTFIX sd
			MINSIZEREL_POSTFIX s
			RELEASE_POSTFIX s
			RELWITHDEBINFO_POSTFIX s
		)
	endif()
endif()

install(FILES ${LIBXSLT_HDRS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/libxslt COMPONENT development)

install(
	TARGETS	LibXslt
	EXPORT LibXslt
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT development
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT runtime NAMELINK_COMPONENT development
	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} COMPONENT runtime
)

if(MSVC AND BUILD_SHARED_LIBS)
	install(FILES $<TARGET_PDB_FILE:LibXslt> DESTINATION ${CMAKE_INSTALL_BINDIR} CONFIGURATIONS Debug RelWithDebInfo COMPONENT debug)
endif()

set(
	LIBEXSLT_HDRS
	libexslt/exslt.h
	${CMAKE_CURRENT_BINARY_DIR}/libexslt/exsltconfig.h
	libexslt/exsltexports.h
)

set(
	LIBEXSLT_SRCS
	libexslt/common.c
	libexslt/crypto.c
	libexslt/date.c
	libexslt/dynamic.c
	libexslt/exslt.c
	libexslt/functions.c
	libexslt/libexslt.h
	libexslt/math.c
	libexslt/saxon.c
	libexslt/sets.c
	libexslt/strings.c
)

add_library(LibExslt ${LIBEXSLT_HDRS} ${LIBEXSLT_SRCS})
add_library(LibXslt::LibExslt ALIAS LibExslt)

target_include_directories(
	LibExslt
	PUBLIC
	$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
	$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
	$<INSTALL_INTERFACE:$<INSTALL_PREFIX>/${CMAKE_INSTALL_INCLUDEDIR}>
)

if(LIBXSLT_WITH_CRYPTO)
	target_link_libraries(LibExslt PRIVATE Gcrypt::Gcrypt)
	set(LIBGCRYPT_LIBS "-lgcrypt")
endif()

target_link_libraries(LibExslt PUBLIC LibXslt LibXml2::LibXml2)

set_target_properties(
	LibExslt
	PROPERTIES
	IMPORT_PREFIX lib
	OUTPUT_NAME exslt
	POSITION_INDEPENDENT_CODE ON
	PREFIX lib
	VERSION ${LIBEXSLT_VERSION}
)

if(MSVC)
	if(BUILD_SHARED_LIBS)
		set_target_properties(
			LibExslt
			PROPERTIES
			DEBUG_POSTFIX d
		)
	else()
		set_target_properties(
			LibExslt
			PROPERTIES
			DEBUG_POSTFIX sd
			MINSIZEREL_POSTFIX s
			RELEASE_POSTFIX s
			RELWITHDEBINFO_POSTFIX s
		)
	endif()
endif()

install(FILES ${LIBEXSLT_HDRS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/libexslt COMPONENT development)

install(
	TARGETS	LibExslt
	EXPORT LibXslt
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT development
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT runtime NAMELINK_COMPONENT development
	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} COMPONENT runtime
)

if(MSVC AND BUILD_SHARED_LIBS)
	install(FILES $<TARGET_PDB_FILE:LibExslt> DESTINATION ${CMAKE_INSTALL_BINDIR} CONFIGURATIONS Debug RelWithDebInfo COMPONENT debug)
endif()

add_executable(xsltproc xsltproc/xsltproc.c)
add_executable(LibXslt::xsltproc ALIAS xsltproc)
target_include_directories(xsltproc PRIVATE $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>)
target_link_libraries(xsltproc LibExslt LibXslt)
install(TARGETS xsltproc EXPORT LibXslt RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} COMPONENT programs)

if(LIBXSLT_WITH_TESTS)
	enable_testing()
	if(Threads_FOUND)
		add_executable(testThreads xsltproc/testThreads.c)
		target_link_libraries(testThreads LibXslt LibExslt Threads::Threads)
		add_test(NAME testThreads COMMAND testThreads WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
	endif()
endif()

if(LIBXSLT_WITH_PYTHON)
	set(ENV{SRCDIR} ${CMAKE_CURRENT_SOURCE_DIR}/python)
	execute_process(
		COMMAND
		${Python_EXECUTABLE}
		${CMAKE_CURRENT_SOURCE_DIR}/python/generator.py
		${CMAKE_CURRENT_SOURCE_DIR}/doc/libxslt-api.xml
		${CMAKE_CURRENT_SOURCE_DIR}/python/libxslt-python-api.xml
		WORKING_DIRECTORY
		${CMAKE_CURRENT_BINARY_DIR}
	)
	unset(ENV{SRCDIR})
	file(READ python/libxsl.py LIBXSL_PY)
	file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/libxslt.py.in "${LIBXSL_PY}")
	file(READ ${CMAKE_CURRENT_BINARY_DIR}/libxsltclass.py LIBXSLTCLASS_PY)
	file(APPEND ${CMAKE_CURRENT_BINARY_DIR}/libxslt.py.in "${LIBXSLTCLASS_PY}")
	configure_file(${CMAKE_CURRENT_BINARY_DIR}/libxslt.py.in libxslt.py COPYONLY)
	add_library(
		LibXsltMod
		libxslt-py.c
		libxslt-py.h
		python/libxml_wrap.h
		python/libxslt.c
		python/libxslt_wrap.h
		python/types.c
	)
	target_include_directories(
		LibXsltMod
		PUBLIC

## libxslt 1.1.11

=== debian/changelog ===
libxslt (1.1.11) bora; urgency=low

  * Initially old version that builds on maemo with old libxml2 

 -- Johannes Schmid <johannes.schmid@openismus.com>  Mon,  26 Feb 2007 13:30:18 +0000

=== debian/control ===
Source: libxslt
Section: text
Priority: optional
Maintainer: Johannes Schmid <johannes.schmid@openismus.com>
Standards-Version: 3.7.2.0
Build-Depends: debhelper, libxml2-dev, python2.5-dev, libgcrypt11-dev, autotools-dev, binutils

Package: libxslt1.1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libxslt1 (<< 1.1.2-2)
Description: XSLT processing library - runtime library
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.
 using standard XSLT stylesheets. libxslt is a C library which
 implements XSLT.
 .
 This package contains libxslt library used by applications for XSLT
 transformations.

Package: libxslt1-dev
Section: libdevel
Architecture: any
Provides: libxslt-dev
Conflicts: libxslt-dev, libxslt0-dev
Depends: libxslt1.1 (= ${Source-Version}), libxml2-dev (>= 2.6.11)
Description: XSLT processing library - development kit
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.
 using standard XSLT stylesheets. libxslt is a C library which
 implements XSLT.
 .
 This package contains the development files libxslt.

Package: libxslt1-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libxslt1.1 (= ${Source-Version})
Description: XSLT processing library - debugging symbols
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.
 using standard XSLT stylesheets. libxslt is a C library which
 implements XSLT.
 .
 This package provides the debugging symbols for the library and for
 the xsltproc utility provided by the xsltproc package.
 Debugging symbols for the python modules are not available.

Package: xsltproc
Section: text
Architecture: any
Depends: ${shlibs:Depends}
Description: XSLT command line processor
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.
 using standard XSLT stylesheets.
 .
 This package contains a command line tool that facilitates XSLT
 transformations.

Package: python-libxslt1
Section: python
Architecture: any
Conflicts: python2.3-libxslt1 (<< 1.1.17-2), python2.4-libxslt1 (<< 1.1.17-2)
Replaces: python2.3-libxslt1 (<< 1.1.17-2), python2.4-libxslt1 (<< 1.1.17-2)
Provides: ${python:Provides}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-libxml2
Description:  Python bindings for libxslt1
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.
 using standard XSLT stylesheets. libxslt is a C library which
 implements XSLT.
 .
 This package contains Python bindings for libxslt, needed to use
 libxslt in Python programs.

=== debian/rules ===
#!/usr/bin/make -f
## ----------------------------------------------------------------------
## debian/rules : package script for libxslt
## ----------------------------------------------------------------------

## ----------------------------------------------------------------------
## uncomment this to turn on verbose mode
#export DH_VERBOSE=1

# The versions of python currently supported
PYVER=2.5

WORKAROUND_REMOVED_FILES=libexslt/exsltconfig.h libxslt/xsltconfig.h libxslt/xsltwin32config.h libxslt.spec
WORKAROUND_MODIFIED_FILES=python/libxslt-py.c

## ----------------------------------------------------------------------
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

## ----------------------------------------------------------------------
CONFFLAGS =
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	CONFFLAGS += --build $(DEB_HOST_GNU_TYPE)
else
	CONFFLAGS += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

## ----------------------------------------------------------------------
CFLAGS = -Wall -g

## ----------------------------------------------------------------------
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

## ----------------------------------------------------------------------
TMP_DIR = debian/tmp

## ----------------------------------------------------------------------
## targets

configure: configure-stamp
configure-stamp:
	dh_testdir

	# Workaround backups because of non-idempotent upstream:
	$(foreach file, $(WORKAROUND_REMOVED_FILES) $(WORKAROUND_MODIFIED_FILES), \
		cp -f -a $(file) $(file)-tmp;)

	# ./configure
	CFLAGS="$(CFLAGS)" \
	./configure $(CONFFLAGS) --prefix=/usr

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir

	mv python/Makefile python/Makefile.bak
	echo all: > python/Makefile
	# Build libxslt
	$(MAKE)
	mv python/Makefile.bak python/Makefile

	touch build-stamp 

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp install*-stamp

	-$(MAKE) distclean
	
	# Restore workaround backups of removed and modified files
	-$(foreach file, $(WORKAROUND_REMOVED_FILES) $(WORKAROUND_MODIFIED_FILES), \
		test -r $(file)-tmp && \
		mv -f $(file)-tmp $(file);)

	-test -r /usr/share/misc/config.sub && \
	cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	cp -f /usr/share/misc/config.guess config.guess

	dh_clean -X.orig

install: install-stamp install-python-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k -X.orig
	dh_installdirs

	mv -f python/Makefile python/Makefile.bak
	echo install: > python/Makefile
	$(MAKE) DESTDIR=$(CURDIR)/$(TMP_DIR) install
	mv -f python/Makefile.bak python/Makefile

	# Properly install documentation in /usr/share/doc/libxslt1-dev
	install -d debian/tmp/usr/share/doc/libxslt1-dev/EXSLT
	install -m 644 \
		doc/*.html \
		doc/*.gif \
		doc/libxslt-*.xml debian/tmp/usr/share/doc/libxslt1-dev
	install -m 644 \
		doc/EXSLT/*.html \
		doc/EXSLT/libexslt-*.xml debian/tmp/usr/share/doc/libxslt1-dev
	cp -a \
		doc/html \
		doc/tutorial \
		doc/tutorial2 debian/tmp/usr/share/doc/libxslt1-dev
	cp -a \
		doc/EXSLT/html debian/tmp/usr/share/doc/libxslt1-dev/EXSLT

	# Special workaround for svn-buildpackage:
	# Restore workaround backups of modified files.
	-$(foreach file, $(WORKAROUND_MODIFIED_FILES), \
		test -r $(file)-tmp && \
		cat $(file)-tmp > $(file);)

	touch $@

build-python%-stamp: build-stamp
	cd python && $(MAKE) clean && $(MAKE) PYTHON=/usr/bin/python$* PYTHON_VERSION=$* PYTHON_INCLUDES=/usr/include/python$*
	
	touch $@

install-python%-stamp: build-python%-stamp
	rm build-python$*-stamp
	cd python && $(MAKE) DESTDIR=`pwd`/../debian/tmp PYTHON=/usr/bin/python$* PYTHON_VERSION=$* PYTHON_INCLUDES=/usr/include/python$* install

	touch $@

install-python-stamp: $(PYVERS:%=install-%-stamp)
	touch $@

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install -a --sourcedir=$(TMP_DIR)
	dh_installman -a
	dh_installdocs -a -A AUTHORS FEATURES NEWS README TODO
	dh_installexamples -a
	dh_installchangelogs -a ChangeLog
	#dh_pysupport -a
	#dh_python -a
	dh_link -a
	dh_strip -a --dbg-package=libxslt1-dbg -Npython-libxslt1
	dh_strip -ppython-libxslt1
	$(foreach python, $(filter-out $(PYVER), $(PYVERS)),\
		cd $(CURDIR)/debian/python-libxslt1/usr/lib/python-support/python-libxslt1; \
		if diff $(python)/libxsltmod.so $(PYVER)/libxsltmod.so > /dev/null 2>&1; then \
			rm -f $(python)/libxsltmod.so; \
			ln -s ../$(PYVER)/libxsltmod.so $(python)/libxsltmod.so; \
		fi;)
	dh_compress -a -Xexamples/
	dh_fixperms -a
	dh_makeshlibs -a -V
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-arch
.PHONY: clean build install binary-arch binary configure

## libxslt 1.1.26

=== debian/changelog ===
libxslt (1.1.26-14.1+deb7u3) wheezy-security; urgency=medium

  * Non-maintainer upload by the Debian LTS team.
  * 0020-cve-2017-5029-Check-for-integer-overflow-in-xslAddTextString.patch:
    + CVE-2017-5029: Fix integer overflow that could lead to buffer overwrite.
      Closes: #858546

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 23 Mar 2017 12:13:25 +0100

libxslt (1.1.26-14.1+deb7u2) wheezy-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * 0019-Fix-heap-overread-in-xsltFormatNumberConversion.patch:
    + CVE-2016-4738: Patch from upstream to fix a potential heap overread
      that can cause arbitrary code execution or denial of service.
      Closes: #842570.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 05 Nov 2016 11:26:56 +0100

libxslt (1.1.26-14.1+deb7u1) wheezy-security; urgency=medium

  * Non-maintainer upload.
  * 0011-Precompile-patterns-in-xsl-number.patch
    + Speed up optimization, necessary for the CVE-2015-7995 patch.
  * 0012-cve-2015-7995-fix-type-confusion.patch
    + CVE-2015-7995: Fix DoS via crafted XML file.
  * 0013-cve-2016-1683-Fix-xsltNumberFormatGetMultipleLevel.patch
    + CVE-2016-1683: Fix out-of-bounds heap access.
  * 0014-cve-2016-1684-integer-overflow.patch
    + CVE-2016-1684: Fix integer overflow and DoS.
  * 0015-Fix-double-free-in-libexslt-hash-functions.patch
    + Fix double free error.
  * 0016-Fix-buffer-overflow-in-exsltDateFormat.patch
    + Fix buffer overflow.
  * 0017-Fix-use-after-free-in-xsltDocumentFunctionLoadDocume.patch
    + Fix use after free error.
  * 0018-Always-initialize-EXSLT-month-and-day-to-1.patch
    + Fix buffer overflow error.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 05 Jun 2016 18:12:46 +0200

libxslt (1.1.26-14.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Upload as NMU acknowledged by Aron Xu.
  * Add patches to fix denial of service vulnerability (CVE-2012-6139)
    (Closes: #703933)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 26 Mar 2013 20:31:18 +0100

libxslt (1.1.26-14) unstable; urgency=low

  * Patch to fix three CVEs (Closes: #689422):
    - CVE-2012-2870 by Daniel Veillard and Chris Evans
    - CVE-2012-2871 by Daniel Veillard
    - CVE-2012-2893 by Chris Evans

 -- Aron Xu <aron@debian.org>  Tue, 02 Oct 2012 23:53:39 +0800

libxslt (1.1.26-13) unstable; urgency=low

  * Patch to fix CVE-2012-2825 (Closes: #679283).

 -- Aron Xu <aron@debian.org>  Thu, 05 Jul 2012 11:09:19 +0800

libxslt (1.1.26-12) unstable; urgency=low

  [ Aron Xu ]
  * New maintainer (Closes: #654177)
  * debian/rules: small improvements, stop shipping .la files.
  * debian/control: mark libxslt1-dev as not M-A (Closes: #671902).
  
  [ YunQiang Su ]
  * Convert to 3.0 source format. 
  * Byte-compile Python modules again (Closes: #671901).

 -- Aron Xu <aron@debian.org>  Tue, 29 May 2012 00:31:36 +0800

libxslt (1.1.26-11) unstable; urgency=low

  * QA upload.
  * Bump standards version to 3.9.3. 
  * Apply Steve Langasek's patch to enable multiarch (closes: #643034).
  * Fix cve-2011-3970: out-of-bounds array access issue (closes: #660650). 
  * Bump debian/compat to 9 and enable hardened build flags (closes: #655601).
  * Eliminate system config.sub and config.guess from the debian diff
    (closes: #670799).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 06 May 2012 20:35:38 -0400

libxslt (1.1.26-10) unstable; urgency=low

  * QA upload.
  * Fix building for real: (Closes: #666333)
    - make(1) targets accumulate, they do not replace
    - You absolutely must not have a build-% (wildcard) target!
    - Never have a directory (or file) with the same name as a
      (phony) target, as it *will* prevent the target from being
      run while that file/directory exists, with varying messages
    => rename ./build/ to builddir and build-% to dobuild-%
    Discovered while trying to hand-fix an m68k build.
  * Throw in some lintian fixes (manpage, spelling) for good measure.

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 06 May 2012 16:02:55 +0000

libxslt (1.1.26-9) unstable; urgency=low

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>
  * Clear uploaders
  * Fix building with build-arch. Closes: 666333.

 -- Peter Michael Green <plugwash@p10link.net>  Tue, 24 Apr 2012 23:23:50 +0000

libxslt (1.1.26-8) unstable; urgency=low

  * debian/rules:
    - Empty dependency_libs in .la files. Closes: #633337.
    - Add --with python2 to dh call.
  * debian/control:
    - Remove build dependency on python-support.
    - Build depend on python-all-dev >= 2.6.6-3~.
    - Remove XB-Python-Version header.
    - Bump Standards-Version to 3.9.2.0. No changes required.
  * debian/pycompat: Removed.

 -- Mike Hommey <glandium@debian.org>  Fri, 29 Jul 2011 11:59:25 +0200

libxslt (1.1.26-7) unstable; urgency=low

  * libxslt/functions.c: Fix generate-id() to not expose object addresses.
    Closes: #617413. Fixes: CVE-2011-1202.

 -- Mike Hommey <glandium@debian.org>  Fri, 18 Mar 2011 16:11:19 +0100

libxslt (1.1.26-6) unstable; urgency=low

  * debian/python-libxslt1-dbg.preinst: Add preinst snippet to remove
    /usr/share/doc/python-libxslt1-dbg symlink on Ubuntu. This is an
    Ubuntu-only fix, but allows Ubuntu to just use the Debian package
    without further modifications.
    Closes: #587910.

 -- Mike Hommey <glandium@debian.org>  Thu, 26 Aug 2010 11:42:01 +0200

libxslt (1.1.26-5) unstable; urgency=low

  * debian/rules: Avoid possible renaming of _d.so files to _d_d.so files in
    the install-python%-dbg rules.
  * debian/control:
    - Add missing dependency on python-libxml2-dbg to python-libxslt1-dbg.
    - Remove old Conflicts/Replaces for packages that have disappeared before
      etch.
    - Bump Standards-Version to 3.9.0.0.
    - Add Homepage.
    - Add Vcs-{Git,Browser} fields.

 -- Mike Hommey <glandium@debian.org>  Tue, 29 Jun 2010 12:38:30 +0200

libxslt (1.1.26-4) unstable; urgency=low

  * debian/rules:


=== debian/control ===
Source: libxslt
Section: text
Priority: optional
Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@debian.org>
Standards-Version: 3.9.3
Build-Depends:
 debhelper (>= 9),
 libxml2-dev (>= 2.6.27),
 python-all-dev (>= 2.6.6-3~),
 python-all-dbg,
 libgcrypt11-dev,
 dh-autoreconf,
 binutils (>= 2.14.90.0.7),
 perl
Homepage: http://xmlsoft.org/xslt/
Vcs-Git: git://git.debian.org/debian-xml-sgml/libxslt.git
Vcs-Browser: http://git.debian.org/?p=debian-xml-sgml/libxslt.git

Package: libxslt1.1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: XSLT 1.0 processing library - runtime library
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.
 using standard XSLT stylesheets. libxslt is a C library which
 implements XSLT version 1.0.
 .
 This package contains the libxslt library used by applications for XSLT
 transformations.

Package: libxslt1-dev
Section: libdevel
Architecture: any
Provides: libxslt-dev
Depends:
 libxslt1.1 (= ${binary:Version}),
 libxml2-dev (>= 2.6.26),
 ${misc:Depends}
Description: XSLT 1.0 processing library - development kit
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.
 using standard XSLT stylesheets. libxslt is a C library which
 implements XSLT version 1.0.
 .
 This package contains the development files for libxslt.

Package: libxslt1-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 libxslt1.1 (= ${binary:Version}),
 ${misc:Depends}
Multi-Arch: same
Description: XSLT 1.0 processing library - debugging symbols
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.
 using standard XSLT stylesheets. libxslt is a C library which
 implements XSLT version 1.0.
 .
 This package provides the debugging symbols for the library and for
 the xsltproc utility provided by the xsltproc package.
 Debugging symbols for the Python modules are not available.

Package: xsltproc
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: XSLT 1.0 command line processor
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.
 using standard XSLT version 1.0 stylesheets.
 .
 This package contains a command line tool that facilitates XSLT
 transformations.

Package: python-libxslt1
Section: python
Architecture: any
Provides: ${python:Provides}
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends},
 python-libxml2
Description: Python bindings for libxslt1
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.
 using standard XSLT stylesheets. libxslt is a C library which
 implements XSLT version 1.0.
 .
 This package contains Python bindings for libxslt, needed to use
 libxslt in Python programs.

Package: python-libxslt1-dbg
Section: debug
Architecture: any
Priority: extra
Provides: ${python:Provides}
Depends:
 python-dbg,
 python-libxslt1 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
 python-libxml2-dbg
Description: Python bindings for libxslt1 (debug extension)
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.
 using standard XSLT stylesheets. libxslt is a C library which
 implements XSLT version 1.0.
 .
 This package contains Python bindings for libxslt, needed to use
 libxslt in Python programs for use with the Python debug interpreter.

=== debian/rules ===
#!/usr/bin/make -f

# The versions of python currently supported
PYVERS=$(shell pyversions -s)
# The current default version of python
PYVER=$(shell pyversions -d)

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CFLAGS = `dpkg-buildflags --get CFLAGS` -Wall
LDFLAGS = `dpkg-buildflags --get LDFLAGS` -Wl,--as-needed
CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`

CONFIGURE_FLAGS := --with-history CC="$(CC)" CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)"           LDFLAGS="$(LDFLAGS)" --cache-file="$(CURDIR)/builddir/config.cache"

TARGETS := main $(PYVERS) $(PYVERS:%=%-dbg)

override_dh_auto_configure: $(TARGETS:%=configure-%)

configure-%:
	-test -r /usr/share/misc/config.sub && \
	cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	cp -f /usr/share/misc/config.guess config.guess
	dh_auto_configure --builddirectory=builddir/$* -- $(CONFIGURE_FLAGS)

configure-main: CONFIGURE_FLAGS += --without-python
configure-python%: CONFIGURE_FLAGS += --with-python=/usr/bin/$*

override_dh_auto_build: $(TARGETS:%=dobuild-%)

dobuild-%: BUILD_DIR=builddir/$*
dobuild-%:
	$(if $(filter $(BUILD_DIR),builddir/$*),,[ -d $(BUILD_DIR) ] || mv builddir/$*/python $(BUILD_DIR))
	dh_auto_build --builddirectory=$(BUILD_DIR) -- $(BUILD_FLAGS)

dobuild-python%: BUILD_DIR=builddir/main/$*
dobuild-python%-dbg: BUILD_FLAGS = PYTHON_INCLUDES=/usr/include/$(*:-dbg=_d) \
    LDFLAGS="-L$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)" CFLAGS="-Wall -g -O0"

override_dh_auto_clean:
	rm -rf builddir debian/tmp-dbg config.sub config.guess autogen.sh
	dh_auto_clean

override_dh_auto_install: $(TARGETS:%=doinstall-%)
	find debian/ -name *.la -delete

doinstall-main:
	dh_auto_install --builddirectory=builddir/main

	# Properly install documentation in /usr/share/doc/libxslt1-dev
	install -d debian/tmp/usr/share/doc/libxslt1-dev/EXSLT
	install -m 644 \
		doc/*.html \
		doc/*.gif \
		doc/libxslt-*.xml debian/tmp/usr/share/doc/libxslt1-dev
	install -m 644 \
		doc/EXSLT/*.html \
		doc/EXSLT/libexslt-*.xml debian/tmp/usr/share/doc/libxslt1-dev
	cp -a \
		doc/html \
		doc/tutorial \
		doc/tutorial2 debian/tmp/usr/share/doc/libxslt1-dev
	cp -a \
		doc/EXSLT/html debian/tmp/usr/share/doc/libxslt1-dev/EXSLT
	sed -i "/dependency_libs/ s/'.*'/''/" debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

doinstall-python%-dbg:
	$(MAKE) -C builddir/main/python$*-dbg DESTDIR=$(CURDIR)/debian/tmp-dbg install-pythonLTLIBRARIES
	prename 's/(?<!_d)\.so$$/_d.so/' debian/tmp-dbg/usr/lib/python$*/*-packages/*.so

doinstall-python%:
	dh_auto_install --builddirectory=builddir/main/python$*

override_dh_installdocs:
	dh_installdocs -a -A AUTHORS FEATURES NEWS README TODO

override_dh_installchangelogs:
	dh_installchangelogs -a ChangeLog

override_dh_install:
	dh_install -Npython-libxslt1-dbg
	dh_install -ppython-libxslt1-dbg --sourcedir=debian/tmp-dbg

override_dh_strip:
	dh_strip -a --dbg-package=libxslt1-dbg -Npython-libxslt1 -Npython-libxslt1-dbg
	dh_strip -ppython-libxslt1 --dbg-package=python-libxslt1-dbg
	$(foreach python, $(filter-out $(PYVER), $(PYVERS)),\
		cd $(CURDIR)/debian/python-libxslt1/usr/lib/pyshared; \
		if diff $(python)/libxsltmod.so $(PYVER)/libxsltmod.so > /dev/null 2>&1; then \
			rm -f $(python)/libxsltmod.so; \
			ln -s ../$(PYVER)/libxsltmod.so $(python)/libxsltmod.so; \
		fi;)

override_dh_compress:
	dh_compress -a -Xexamples/

override_dh_makeshlibs:
	dh_makeshlibs -a -V 'libxslt1.1 (>= 1.1.26)' -- -c4

%:
	dh $@ --with autoreconf,python2

## libxslt 1.1.27

=== debian/changelog ===
libxslt (1.1.27-1ubuntu1) raring; urgency=low

  * Fix python multiarch include issues to fix an FTBFS.

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 10 Jan 2013 07:58:53 -0600

libxslt (1.1.27-1) experimental; urgency=low

  * New upstream release (Closes: #448205, #683353)
  * debian/rules:
    + Add hardening flags for dbg package in LDFLAGS (Closes: #681163)
  * debian/control:
    - std-ver: 3.9.3 -> 3.9.4, no change required.

 -- Aron Xu <aron@debian.org>  Wed, 03 Oct 2012 00:22:53 +0800

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: libxslt
 Section: text
 Priority: optional
-Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
 Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends:
  debhelper (>= 9),
  libxml2-dev (>= 2.6.27),

## libxslt 1.1.28

=== debian/changelog ===
libxslt (1.1.28-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add 0009-Fix-for-type-confusion-in-preprocessing-attributes.patch patch.
    CVE-2015-7995: Type confusion in preprocessing attributes leading to
    denial of service. (Closes: #802971)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 30 Oct 2015 08:46:43 +0100

libxslt (1.1.28-2) unstable; urgency=low

  * debian/patches/000[4-8].patch:
    Upstream post release patches.

 -- Aron Xu <aron@debian.org>  Thu, 01 Aug 2013 13:55:48 +0800

libxslt (1.1.28-1) experimental; urgency=low

  [ YunQiang Su ]
  * Imported Upstream version 1.1.28
  * Workaround xsltMaxVars version number (Closes: #698955)
  * Refresh patches
  * Correct email address of YunQiang Su
  * Mark libxslt1-dev as Multi-Arch: same (Closes: #689091)

  [ Aron Xu ]
  * Use canonical VCS-* fields.
  * Remove unused override: python-libxslt1-dbg: hardening-no-relro

 -- Aron Xu <happyaron.xu@gmail.com>  Thu, 01 Aug 2013 13:45:01 +0800

=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 
 dobuild-python%: BUILD_DIR=builddir/main/$*
 dobuild-python%-dbg: BUILD_FLAGS = PYTHON_INCLUDES=/usr/include/$(*:-dbg=_d) \
-    LDFLAGS="-L$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)" CFLAGS="-Wall -g -O0"
+    LDFLAGS="$(LDFLAGS) -L$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)" CFLAGS="$(CFLAGS) -Wall -O0"
 
 override_dh_auto_clean:
 	rm -rf builddir debian/tmp-dbg config.sub config.guess autogen.sh

=== debian/watch ===
version=3
ftp://xmlsoft.org/libxslt/libxslt-([\d\.]+)\.tar\.gz

## libxslt 1.1.29

=== debian/changelog ===
libxslt (1.1.29-5) unstable; urgency=medium

  * Team upload.
  * Refresh patches using Gbp Pq.
  * Add patch from upstream to fix FTBFS in ia64.  Closes: #881818
  * Declare that libxslt can be built without root, R³:no.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 15 Nov 2017 16:27:00 +0100

libxslt (1.1.29-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Add patch from upstream to fix FTBFS with glibc 2.26.  Closes: #880038

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 05 Nov 2017 13:36:40 +0100

libxslt (1.1.29-3) experimental; urgency=medium

  * Team upload.
  * d/upstream/signing-key.asc: add Daniel Veillard's gpg key to allow
    cryptographic verification of the upstream tarballs.
  * d/patches/0003-fix-typo.patch: forward to upstream.
  * d/control: Bump Standards-Version to 4.1.1:
    + Move packages from the deprecated section:extra to section:optional.
  * d/rules:
    + Use /usr/share/dpkg/architecture.mk instead of calling dpkg-architecture.
    + Let dh_auto_configure deal with buildflags from the environment, and
      use dpkg-buildflags to set -Wl,--as-needed.
    + Move xsltconfig.h to a multi-arch location.  Closes: #834714
      Thanks to Hugh McMaster <hugh.mcmaster@outlook.com> for the initial patch.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 28 Oct 2017 15:04:16 +0200

libxslt (1.1.29-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depends on rename, fixes FTBFS, thanks Adrian Bunk (Closes: #876601)
  * Build-Depends on libgcrypt20-dev instead of transitional libgcrypt11-dev,
    thanks Andreas Metzler (Closes: #864120)

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #841384)
    + Drop unsatisfiable binutils dependency: Always satisfied natively even
      in wheezy.
    + Use cross-compatible python Build-Depends.
    + Annotate Build-Depends: perl with :any.
    + Do not pass CC=cc to configure.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 13 Oct 2017 01:03:29 +0200

libxslt (1.1.29-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Check for integer overflow in xsltAddTextString (CVE-2017-5029)
    (Closes: #858546)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 26 Mar 2017 19:44:01 +0200

libxslt (1.1.29-2) unstable; urgency=high

  * Team upload.
  * Bump debhelper compat level to 10.
    + --parallel is now default
    + --with autoreconf is now default
  * Add patch from upstream to fix a heap overread which could cause remote
    arbitrary code execution or denial of service.
    Closes: #842570 — CVE-2016-4738

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 30 Oct 2016 14:01:00 +0000

libxslt (1.1.29-1) unstable; urgency=medium

  * Imported Upstream version 1.1.29 (Closes: #826446)
  * Remove patches which have been merged upstream
  * Remove plugin option in xslt-config as it has arch-dep string
  * Link libxslt with libm (Closes: #801989, #721602)
  * Add --parallel in debian/rules.

 -- YunQiang Su <syq@debian.org>  Wed, 17 Aug 2016 15:30:11 +0800

libxslt (1.1.28-4) unstable; urgency=medium

  * Team upload.
  * Replace the SOURCE_DATE_EPOCH patch with the one actually committed upstream

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 20 May 2016 09:33:00 +0000

libxslt (1.1.28-3) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload.
  * Upload to unstable.
  * Bump std-version to 3.9.8.
  * Acknowledge previous NMU, thanks carnil!
  * Add dh-python to build-depends

  [ Jérémy Bobbio ]
  * Add a patch from upstream to make generate-id() provide stable IDs.
    Thanks to Daniel Veillard.  Closes: #823857

  [ Dhole ]
  * Honour SOURCE_DATE_EPOCH when embedding timestamps in docs.  Closes: #791815

  [ Mattia Rizzolo ]
  * Run wrap-and-sort.
  * Use HTTPS in Vcs-* fields.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 09 May 2016 20:18:36 +0000

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,32 @@
 Source: libxslt
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
-Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@debian.org>
-Standards-Version: 3.9.4
+Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
+Uploaders:
+ Aron Xu <aron@debian.org>,
+ YunQiang Su <syq@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
+ dh-python,
+ libgcrypt20-dev,
+ libpython-all-dbg,
+ libpython-all-dev (>= 2.6.6-3~),
  libxml2-dev (>= 2.6.27),
- python-all-dev (>= 2.6.6-3~),
- python-all-dbg,
- libgcrypt11-dev,
- dh-autoreconf,
- binutils (>= 2.14.90.0.7),
- perl
+ perl:any,
+ python-all-dev:any (>= 2.6.6-3~),
+ rename,
+Standards-Version: 4.1.1
+Rules-Requires-Root: no
 Homepage: http://xmlsoft.org/xslt/
-Vcs-Git: git://git.debian.org/debian-xml-sgml/libxslt.git
-Vcs-Browser: http://git.debian.org/?p=debian-xml-sgml/libxslt.git
+Vcs-Git: https://anonscm.debian.org/git/debian-xml-sgml/libxslt.git
+Vcs-Browser: https://anonscm.debian.org/git/debian-xml-sgml/libxslt.git
 
 Package: libxslt1.1
 Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends:
+ ${misc:Pre-Depends},
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -38,11 +42,13 @@
 Package: libxslt1-dev
 Section: libdevel
 Architecture: any
-Provides: libxslt-dev
+Multi-Arch: same
+Provides:
+ libxslt-dev,
 Depends:
+ libxml2-dev (>= 2.6.26),
  libxslt1.1 (= ${binary:Version}),
- libxml2-dev (>= 2.6.26),
- ${misc:Depends}
+ ${misc:Depends},
 Description: XSLT 1.0 processing library - development kit
  XSLT is an XML language for defining transformations of XML files from
  XML to some other arbitrary format, such as XML, HTML, plain text, etc.
@@ -53,11 +59,10 @@
 
 Package: libxslt1-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Depends:
  libxslt1.1 (= ${binary:Version}),
- ${misc:Depends}
+ ${misc:Depends},
 Multi-Arch: same
 Description: XSLT 1.0 processing library - debugging symbols
  XSLT is an XML language for defining transformations of XML files from
@@ -73,8 +78,8 @@
 Architecture: any
 Multi-Arch: foreign
 Depends:
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends}
 Description: XSLT 1.0 command line processor
  XSLT is an XML language for defining transformations of XML files from
  XML to some other arbitrary format, such as XML, HTML, plain text, etc.
@@ -86,12 +91,13 @@
 Package: python-libxslt1
 Section: python
 Architecture: any
-Provides: ${python:Provides}
+Provides:
+ ${python:Provides},
 Depends:
- ${shlibs:Depends},
+ python-libxml2,
  ${misc:Depends},
  ${python:Depends},
- python-libxml2
+ ${shlibs:Depends},
 Description: Python bindings for libxslt1
  XSLT is an XML language for defining transformations of XML files from
  XML to some other arbitrary format, such as XML, HTML, plain text, etc.
@@ -104,14 +110,14 @@
 Package: python-libxslt1-dbg
 Section: debug
 Architecture: any
-Priority: extra
-Provides: ${python:Provides}
+Provides:
+ ${python:Provides},
 Depends:
  python-dbg,
+ python-libxml2-dbg,
  python-libxslt1 (= ${binary:Version}),
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
- python-libxml2-dbg
 Description: Python bindings for libxslt1 (debug extension)
  XSLT is an XML language for defining transformations of XML files from
  XML to some other arbitrary format, such as XML, HTML, plain text, etc.

=== debian/rules ===
--- 
+++ 
@@ -5,14 +5,12 @@
 # The current default version of python
 PYVER=$(shell pyversions -d)
 
+include /usr/share/dpkg/architecture.mk
+
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
-CFLAGS = `dpkg-buildflags --get CFLAGS` -Wall
-LDFLAGS = `dpkg-buildflags --get LDFLAGS` -Wl,--as-needed
-CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`
-
-CONFIGURE_FLAGS := --with-history CC="$(CC)" CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)"           LDFLAGS="$(LDFLAGS)" --cache-file="$(CURDIR)/builddir/config.cache"
+CONFIGURE_FLAGS := --with-history --cache-file="$(CURDIR)/builddir/config.cache"
 
 TARGETS := main $(PYVERS) $(PYVERS:%=%-dbg)
 
@@ -49,6 +47,13 @@
 doinstall-main:
 	dh_auto_install --builddirectory=builddir/main
 
+	# https://lintian.debian.org/tags/non-empty-dependency_libs-in-la-file.html
+	sed -i "/dependency_libs/ s/'.*'/''/" debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
+
+	# Move arch-specific headers into /usr/include/<triplet>/libxslt
+	mkdir -pv debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/libxslt
+	mv -v debian/tmp/usr/include/libxslt/xsltconfig.h debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/libxslt
+
 	# Properly install documentation in /usr/share/doc/libxslt1-dev
 	install -d debian/tmp/usr/share/doc/libxslt1-dev/EXSLT
 	install -m 644 \
@@ -64,7 +69,6 @@
 		doc/tutorial2 debian/tmp/usr/share/doc/libxslt1-dev
 	cp -a \
 		doc/EXSLT/html debian/tmp/usr/share/doc/libxslt1-dev/EXSLT
-	sed -i "/dependency_libs/ s/'.*'/''/" debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
 
 doinstall-python%-dbg:
 	$(MAKE) -C builddir/main/python$*-dbg DESTDIR=$(CURDIR)/debian/tmp-dbg install-pythonLTLIBRARIES
@@ -100,4 +104,4 @@
 	dh_makeshlibs -a -V 'libxslt1.1 (>= 1.1.26)' -- -c4
 
 %:
-	dh $@ --with autoreconf,python2
+	dh $@ --with python2
